import type { CliHandlerArgv } from '@done-coding/cli-utils';
import { CommandModule } from 'yargs';

/** 作为子命令创建 */
export declare const crateAsSubcommand: () => CommandModule<{}, {}>;

/** 命令处理函数 */
export declare const handler: (command: SubcommandEnum, argv: CliHandlerArgv<Options>) => Promise<void>;

declare interface Options {
    /**
     * 组件名
     * ---
     * 新增时必传
     */
    name?: string;
}

/** 子命令枚举 */
declare enum SubcommandEnum {
    /** 新增组件 */
    ADD = "add",
    /** 移除组件 */
    REMOVE = "remove",
    /** 展示列表 */
    LIST = "list"
}

export { }
